/* *****************************************************************************
 * Copyright (c) IRISA Laboratory, 
 * Universite Bretagne Sud, France
 * <http://www-casa.irisa.fr/>
 * ****************************************************************************/

/* 
 * This module provides a service that holds the configuration parameters of the DOWAN WS NAPIsession
 */

console.log("Start module configuration.js");
  
    
 /*
 * Class ConfigurationService ---------------------------------------------
 */
export class Configuration {
    
    constructor(conf) {
      this.config = {
        "server_host":"localhost",
        "server_port":"8025",
        "name":"",
        "reconnect_period":"15",
        "reconnect_nb_tries_max":"5"      
      };
      if (conf !== undefined) this.init(conf);
    }
    
    
    /**
     * Merges a an objetct with the config object
     * @param {Object} conf 
     * @returns {undefined}
     */
    init(conf) {
        this.config = { ...this.config, ...conf};
    }
        

    
}

